#!/usr/bin/env python2.7
# -*- coding: utf-8 -*-

import sqlalchemy as sqla  # Import knihovny sqlalchemy - pro komunikaci s mysql serverem
import matplotlib.pyplot as plt
import pandas as pd
import pickle
from funkce2 import*
from roc_function import *

"""--------------------
POPIS:
ll_df - získání podrovných dat pro pacienta, včetně informaci o resekování
channel_resected - získání informace o resekování jednotlivých kanálů (0-neresekován, 1-resekován)
-------------------------------------------------------------------------------------"""
databases = ['LL_alg_Fnusa', 'Matt_alg_Fnusa', 'hilbert_alg_v2']

#--- volba parametrů
seeg = 7
database = databases[0] #-- vstup 0 až 2
#---

pd.set_option('expand_frame_repr', False)  # nastavené, aby v konzoli nezalomoval tabulky

ll_df = get_data(database, seeg, seeg, '*')

ll_df.loc[ll_df['resection'] != 'non_resected']

len(ll_df.loc[ll_df['resection'] == 'non_resected'])
len(ll_df.loc[ll_df['resection'] == 'resected'])


#count_hfo_events(ll_df)
channel_resected=get_reviewed_data_resected(seeg)

roc_resected(database, seeg, seeg, '*')
